- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnNurbsCurveData Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Nurbs Curve function set for dependency node data.

MFnNurbsCurveData allows the creation and manipulation of NurbsCurve data objects for use in the dependency graph.

If a user written dependency node either accepts or produces Nurbs Curves, then this class is used to create data blocks into which Nurbs Curves can be constructed before being passed to other dependency graph nodes. The MDataHandle::type method will return kNurbsCurve when data of this type is present.

If a node is receiving a Nurbs Curve via an input attribute, the asNurbsCurve method of MDataHandle can be used to access that input Nurbs Curve.

If a node is to create a Nurbs Curve and send it via an output attribute, a new MFnNurbsCurveData must be instantiated and then the create method called to build the actual data block as an MObject. This MObject should be passed to the MFnNurbsCurve::create method as the parentOrOwner parameter so that the Nurbs Curve will be constructed inside the data block. The MDataHandle::set routine is then used to pass the data block down the connection.

Examples:

  multiCurveNode.cpp.

`#include <MFnNurbsCurveData.h>`

Inheritance diagram for MFnNurbsCurveData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnNurbsCurveData ()
| Destructor.
| MFnNurbsCurveData ()
| Default constructor.
| MFnNurbsCurveData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create (MStatus *ReturnStatus=NULL)
| Create a new MObject, attach it to this instance and initialize it with a data block capable of holding a Nurbs Curve.
| MFnNurbsCurveData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnNurbsCurveData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnNurbsCurveData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kNurbsCurveData.

Reimplemented from MFnGeometryData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnNurbsCurveData".

Reimplemented from MFnGeometryData.

MObject create | ( | MStatus * | ReturnStatus = `NULL` | ) |

Search for all occurrences

Create a new MObject, attach it to this instance and initialize it with a data block capable of holding a Nurbs Curve.

Parameters:

  [out] | ReturnStatus | kSuccess

Returns:
  The new MObject

Examples:
  multiCurveNode.cpp.

MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData
MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData MFnNurbsCurveData